# Contributing to the BigCommerce Python API Client

Thanks for showing interest in contributing!

The following is a set of guidelines for contributing to the BigCommerce Python API client. These are just guidelines, not rules. Use your best judgment, and feel free to propose changes to this document in a pull request.

By contributing to the BigCommerce Python API client, you agree that your contributions will be licensed under its MIT license.

#### Table of Contents

[API Documentation](https://developer.bigcommerce.com/api)

[How Can I Contribute?](#how-can-i-contribute)
  * [Your First Code Contribution](#your-first-code-contribution)
  * [Pull Requests](#pull-requests)

[Styleguides](#styleguides)
  * [Git Commit Messages](#git-commit-messages)
  * [Python Styleguide](#python-styleguide)

### Your First Code Contribution

Unsure where to begin contributing to the API client? Check our [forums](https://forum.bigcommerce.com/s/group/0F913000000HLjECAW), our [stackoverflow](https://stackoverflow.com/questions/tagged/bigcommerce) tag, and the reported [issues](https://github.com/bigcommerce/bigcommerce-api-python/issues).

### Pull Requests

* Fill in [the required template](https://github.com/bigcommerce/bigcommerce-api-python/pull/new/master)
* Include screenshots and animated GIFs in your pull request whenever possible.
* End files with a newline.

## Styleguides

### Git Commit Messages

* Use the present tense ("Add feature" not "Added feature")
* Use the imperative mood ("Move cursor to..." not "Moves cursor to...")
* Limit the first line to 72 characters or less
* Reference pull requests and external links liberally

### Python Styleguide

All Python must adhere to [PEP8 Python Code Styleguide](https://www.python.org/dev/peps/pep-0008/).

